export default class Vector {
    u: number;
    v: number;
    m: number;
    constructor(u: number, v: number);
    /**
     * the vector value
     * 向量值（流体强度）
     * @returns {Number}
     */
    magnitude(): number;
    /**
     * Angle in degrees (0 to 360º) --> Towards
     * 流体方向
     * N is 0º and E is 90º
     * @returns {Number}
     */
    directionTo(): number;
    /**
     * Angle in degrees (0 to 360º) From x-->
     * N is 0º and E is 90º
     * @returns {Number}
     */
    directionFrom(): number;
}
